## com.bbn.openmap.proj
Class CADRGLoader

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.BasicProjectionLoader
                  com.bbn.openmap.proj.CADRGLoader

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, LightMapHandlerChild, ProjectionLoader, PropertyConsumer

public class CADRGLoader
extends BasicProjectionLoader
implements ProjectionLoader

ProjectionLoader to add the CADRG projection to an OpenMap application.

See Also:
  `BasicProjectionLoader`

Field Summary

Fields inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`description, DescriptionProperty, prettyName, PrettyNameProperty, projClass`

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`CADRGLoader()`

Method Summary
`Projection` `create(java.util.Properties props)` Create the projection with the given parameters.

Methods inherited from class com.bbn.openmap.proj.BasicProjectionLoader
`getDescription, getPrettyName, getProjectionClass, getProperties, getPropertyInfo, setDescription, setPrettyName, setProperties`

Methods inherited from class com.bbn.openmap.OMComponent
`getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.proj.ProjectionLoader
`getDescription, getPrettyName, getProjectionClass`

Constructor Detail

### CADRGLoader

    public CADRGLoader()

Method Detail

### create

    public Projection create(java.util.Properties props)
                      throws ProjectionException

  Create the projection with the given parameters.

  Specified by:
    `create` in interface `ProjectionLoader`
  Specified by:
    `create` in class `BasicProjectionLoader`
  Throws:
    `exception` - if a parameter is missing or invalid.
    `ProjectionException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details